### Enumeration

# Fwupd DeviceProblem

#### Declaration

    flags Fwupd.DeviceProblem

#### Description [src]

Problems are reasons why the device is not updatable. All problems have to be fixable by the user, rather than the plugin author.

#### Members

`FWUPD_DEVICE_PROBLEM_NONE`

  No device problems detected.

  - Value: `0`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`

  The system power is too low to perform the update.

  - Value: `1`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_UNREACHABLE`

  The device is unreachable, or out of wireless range.

  - Value: `2`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_POWER_TOO_LOW`

  The device battery power is too low.

  - Value: `4`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_UPDATE_PENDING`

  The device is waiting for the update to be applied.

  - Value: `8`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_REQUIRE_AC_POWER`

  The device requires AC power to be connected.

  - Value: `16`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_LID_IS_CLOSED`

  The device cannot be used while the laptop lid is closed.

  - Value: `32`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_IS_EMULATED`

  The device is emulated from a different host.

  - Value: `64`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_MISSING_LICENSE`

  The device cannot be updated due to missing vendor’s license.

  - Value: `128`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_SYSTEM_INHIBIT`

  The device cannot be updated due to a system-wide inhibit.

  - Value: `256`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_UPDATE_IN_PROGRESS`

  The device cannot be updated as it is already being updated.

  - Value: `512`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_IN_USE`

  The device is in use and cannot be interrupted, for instance taking a phone call.

  - Value: `1024`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_DISPLAY_REQUIRED`

  The device cannot be used while there are no displays plugged in.

  - Value: `2048`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_LOWER_PRIORITY`

  We have two ways of communicating with one physical device, so we hide the worse one.

  - Value: `4096`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_INSECURE_PLATFORM`

  The device is signed with an insecure key.

  - Value: `8192`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_FIRMWARE_LOCKED`

  The firmware is locked in the system setup.

  - Value: `16384`
  - Available since: 2.0
`FWUPD_DEVICE_PROBLEM_UNKNOWN`

  This problem is not defined, this typically will happen from mismatched fwupd library and clients.

  - Value: `-1`
  - Available since: 2.0